Bug 462804 - fsck failure dumps user into a shell
Summary: fsck failure dumps user into a shell
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-19 00:56 UTC by Olivier Crête
Modified: 2014-03-17 03:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 15:46:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 58430 None None None Never

Description Olivier Crête 2008-09-19 00:56:17 UTC
When fsck on boot fails, it dumps the user into a shell.. and unless he is a Unix sysadmin, he will be lost.

Solution: Replace the current message with something like:

Repairing your file system may cause errors!!! Do you want to: [F]orce Repair, get to a [S]hell or [R]eboot:

Comment 1 Bill Nottingham 2008-09-19 01:01:28 UTC
1) Just rebooting when fsck fails is ... going to fail again. That's not useful.
2) If it fails to the point when you get a shell, forcing a fsck won't work - it dies because -y doesn't work.

Which leaves dropping to a shell, which is what we do.

Comment 2 Jack Tanner 2008-09-19 01:25:30 UTC
Still, this is a moment of utter panic and confusion for anyone inexperienced with fsck. That's a lot of desktop Linux users. (Won't anyone think of the grandmothers!) The present interface simply abandons the user; it needs to be more guiding. If a fsck -y fails, then it should explain why it failed, what files might be gone, or if all hope is lost...

Comment 3 Olivier Crête 2008-09-19 01:51:25 UTC
1) Rebooting can be useful if you want to reboot onto something else (a usb key or a rescue network boot or whatever and for some reason you can't directly access the power key).. alright, not that useful.. 

1.1) I agree we need to keep the current "drop me to a shell" for the few people who understand debugfs and other exciting tools.

2) It currently doesn't try -y, it tries -a ... which will only do "safe repairs", -y can often help. (unless -y is in /fsckoptions..)

3) Even if -y fails, there should really be more help.

For the the case I had today (using F9), the user got it working just by doing "fsck /dev/...." and answering "y" a few times, so -y would have definitely worked.

Comment 4 Sitsofe Wheeler 2008-09-19 08:25:18 UTC
Whenever I've tried to "repair" a filesystem using fsck -y the filesystem has been destroyed and would no longer even get to /bin/bash the next time round. In my experience if the system is asking you this question you are already in trouble and at a bare minimum you have to understand what /lost+found means.

Comment 5 Bug Zapper 2009-06-10 02:45:06 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bill Nottingham 2009-06-10 15:46:16 UTC
I'm still not sure what sort of useful guiding information could be here that doesn't require 2 screens of data and a sysadmin background. Closing for now.


Note You need to log in before you can comment on or make changes to this bug.